Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasItemList Class Reference

The QCanvasItemList class is a list of QCanvasItems. More...

    #include <QCanvasItemList>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QList<QCanvasItem *>.

- List of all members, including inherited members

### Public Functions

- QCanvasItemList operator+ ( const QCanvasItemList & l ) const

- 56 public functions inherited from QList

## Detailed Description

The QCanvasItemList class is a list of QCanvasItems.

QCanvasItemList is a QList of pointers to QCanvasItems. This class is used by some methods in QCanvas that need to return a list of canvas items.

The QList documentation describes how to use this list.

## Member Function Documentation

### QCanvasItemList QCanvasItemList::operator+ ( const QCanvasItemList & l ) const

Returns the concatenation of this list and list l.